WordPress.org

Support

Support » Plugins and Hacks » Easy FancyBox » [Resolved] Ajax problem with WordPress 3.5

[Resolved] Ajax problem with WordPress 3.5

  • After I upgraded to WordPress 3.5, I noticed I had an AJAX problem and did a triage via plugin deactivation. When I deactivated Easy Fancy Box, I saw the AJAX problem disappear. Having re-activated all other plugins, the site now works. So there is definitely a compatibility problem between 3.5’s AJAX functionality and this plugin, both on the front and back end.

    http://wordpress.org/extend/plugins/easy-fancybox/

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Author RavanH

    @ravanh

    Hi Edward,

    I have not witnessed any issues with 3.5… Do you have a link where I can see the issue?

    <how to delete a comment?>

    I face the same issue, the error is “SCRIPT438: Object doesn’t support property or method ‘curCSS'”. Example here: snastroenie (dot) tk/7646

    Plugin Author RavanH

    @ravanh

    Dosvidanja, snastroenie 🙂 Your theme is incompatibel because it has the fancybox script (version 1.2.6) hardcoded (twice even!!) in it. You’ll have to do some heavy theme hacking to remove all theme included FancyBox script code…

    Thanks RavanH, I did what you said, found all fancybox related staff in the theme files and removed them (it was easy with np++). Now it works like a charm.
    Happy new year 🙂

    Plugin Author RavanH

    @ravanh

    Excellent work! 🙂

    I still see one extra stylesheet in the header and a last small fancybox code snippet in the footer of the page source but I suppose those do not interfere… And for some weird reason, I see /wp-content/w3tc/min/773dfde4.6413e5.js being called twice in head. Is that a known issue wiht W3 Total Cache?

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘[Resolved] Ajax problem with WordPress 3.5’ is closed to new replies.
Skip to toolbar